using DomainObjects.Abstractions;
using DomainObjects.L10n;

namespace DomainObjects.Documents {
  public class CategoryDocument : DomainObjectDocumentBase<CategoryDocument> {
    public Guid SiteId { get; set; }
    public List<CategoryL10n> L10n { get; set; }
 
    public override int GetHashCode() {
      unchecked {
        int hash = 17;
        hash = hash * 23 + Id.GetHashCode();
        hash += L10n.Sum(x => x.GetHashCode() * 23);
        return hash;
      }
    }
  }
}
